import asyncpg
from typing import List
import os

# Database connection configuration
DATABASE_URL = os.getenv("DATABASE_URL", "postgresql://postgres:Welcome%401@localhost:5432/postgres")

# Async function to get a connection to the database
async def get_db_connection():
    conn = await asyncpg.connect(DATABASE_URL)
    return conn

# Async function to fetch data
async def fetch_sales_history(query: str, params: List):
    conn = await get_db_connection()
    records = await conn.fetch(query, *params)
    await conn.close()
    return records