import pandas as pd
from prophet import Prophet

# Sample data
data = {'ds': pd.to_datetime(['2023-01-01', '2023-01-02', '2023-01-03', '2023-01-04', '2023-01-05']),
        'y': [10, 12, 15, 13, 18]}
df = pd.DataFrame(data)

# Initialize and fit the model
model = Prophet()
model.fit(df)

# Create future dataframe for predictions
future = model.make_future_dataframe(periods=7)

# Make predictions
forecast = model.predict(future)

# Print the forecast
print(forecast[['ds', 'yhat', 'yhat_lower', 'yhat_upper']].tail(10))